import React from "react";

class PageDocs extends React.Component {
  TitleView() {
    try {
      if (document.getElementById("pTitle").textContent !== "Документации") {
        document.getElementById("pTitle").textContent = "Документации";
      }
    } catch (e) {
      console.log(e);
    }
  }
  render() {
    this.TitleView();
    return (
      <div className="settings">
        <h1>Сборка React</h1>
        <code>cd webport/source && npm install && npm run build</code>
        <h1>Сборка Electron bin </h1>
        <code>
          cd webport/source && npm install && npm run build cd .. && npm install
          --save-dev electron && npx electron . && cp -L sources/build ./ && npm
          install --verbose electron{" "}
        </code>
      </div>
    );
  }
}
export default PageDocs;
